<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:bind="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="viewModel"
            type="com.vessel.app.foodrecommendation.ui.FoodRecommendationViewModel" />
    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/parentView"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/yellow_light">

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_back"
            bind:handler="@{viewModel}" />

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/container"
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_marginVertical="@dimen/spacing_small"
            android:paddingStart="@dimen/spacing_large"
            android:paddingEnd="@dimen/spacing_normal"
            app:layout_constraintBottom_toTopOf="@id/onboardingNextButton"
            app:layout_constraintTop_toBottomOf="@id/toolbar">

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/title"
                style="@style/Title.XL"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@{viewModel.state.title}"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <androidx.appcompat.widget.AppCompatTextView
                android:id="@+id/subtitle"
                style="@style/Subtitle"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/spacing_small"
                android:text="Choose up to 3 Foods to Add to your Plan:"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="@id/title"
                app:layout_constraintTop_toBottomOf="@id/title" />

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/foodList"
                android:layout_width="0dp"
                android:layout_height="0dp"
                android:layout_marginTop="@dimen/spacing_2xl"
                android:layout_marginBottom="@dimen/spacing_small"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/subtitle"
                tools:itemCount="4"
                tools:listitem="@layout/item_food_recommendation_select" />

        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.vessel.app.views.BlackAuthAppButtonViewGroup
            android:id="@+id/onboardingNextButton"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:layout_marginBottom="@dimen/spacing_2xl"
            android:onClick="@{() -> viewModel.onNextClicked()}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:text="@{@string/next}"
            tools:background="@color/blackAlpha70" />

        <include
            android:id="@+id/loadingLayout"
            layout="@layout/layout_full_screen_loading_transparent"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            app:visible="@{viewModel.isLoading}"
            tools:visibility="gone" />

    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
